#ifndef VUES_H
#define VUES_H

#include <QtGui>

#include "arbre.h"

//---------------------------
class VueArbre : public QFrame
{
    Q_OBJECT
  public :
    VueArbre(QWidget *parent);
    void paintEvent(QPaintEvent *);
    int  getLongueur()          { return longueur; }
    void setArbre(Arbre *ar)    { arbre = ar; }
  public slots :
    void setLongueur(int l)     { longueur = l; update(); }
    void setProfondeur(int p)   { prof = p; arbre->setProf(prof); update(); }
  private:
    Arbre  *arbre;
    int     longueur;
    int     prof;
};
//---------------------------
class VueModele : public QFrame
{
    Q_OBJECT
  public :
    VueModele(QWidget *parent);
    void paintEvent(QPaintEvent *);
    void setArbre(Arbre *ar)    { arbre = ar; }
  public slots :
    void mousePressEvent(QMouseEvent *);
    void mouseMoveEvent(QMouseEvent *);
    void mouseReleaseEvent(QMouseEvent *);
  private:
    Arbre          *arbre;
    int             dragging;
};

#endif
