Name: sylviculteur
Summary: Éditeur d'arbres fractales
Version: 0.8
Release: %mkrel 1
License: GPL v2
Group: Education
BuildRoot: %{_tmppath}/build-root-%{name}
Source0: http://madb.homelinux.net/freesoft/%{name}/%{name}-%{version}.tar.gz
#Source1: %{name}-%{version}.tar.gz
Packager: Bruno ANSELME
Distribution: Magiea
Url: http://madb.homelinux.net
Vendor: Bruno ANSELME
Requires: qt

# Debian désinstallation d'un paquet qui bloque
# sudo dpkg -r --force-remove-reinstreq nom_du_paquet_qui_bloque

%description
Ce programme permet de dessiner des arbres fractals en 2 dimensions.
On peut éditer le nombre de branches, leurs angles et tailles relatives par rapport au tronc, l'inclinaison, le nombre d'étages de l'arbre et quelques options de couleur.
Deux modes d'édition sont possible : à main levé dans l'éditeur en cliquant/déplaçant la poignée située à l'extrémité de chaque branche, ou par réglage fin des paramètres par des valeurs numériques.
Possibilité d'animation avec l'option Osciller.

%prep
rm -rf %{buildroot}
mkdir %{buildroot}

%setup -q

%build
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%{_datadir}/icons
mkdir -p %{buildroot}%{_datadir}/applications
qmake
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
make

%install
cp sylviculteur %{buildroot}/usr/bin
cp sylviculteur-32.png %{buildroot}%{_datadir}/icons/sylviculteur.png
cp sylviculteur.desktop %{buildroot}%{_datadir}/applications/
xdg-desktop-menu install %{buildroot}%{_datadir}/applications/sylviculteur.desktop --novendor
kbuildsycoca4 2> /dev/null

# Avant la désinstallation
%preun
which xdg-desktop-menu
if [ $? = 0 ]; then
  xdg-desktop-menu uninstall /usr/share/applications/sylviculteur.desktop
fi

# Apres la désinstallation
%postun
which kbuildsycoca4 >/dev/null 2>/dev/null
if [ $? = 0 ]; then
  kbuildsycoca4 2> /dev/null
fi

# Nettoyage
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/sylviculteur
/usr/share/icons/sylviculteur.png
/usr/share/applications/sylviculteur.desktop

%changelog
* Sun Jan 15 2012 Bruno ANSELME<bruno.anselme@free.fr> 0.8-1mga1
- Ajout d'un icone pour le bureau windows et le menu Kde de Mageia

* Mon Jan 09 2012 Bruno ANSELME<bruno.anselme@free.fr> 0.7-1mga1
- Premier essai de création de RPM avec sylviculteur
